# SaveTube
A **cross platform** front-end **GUI** as well as simple **CLI** of the popular [youtube-dl](https://rg3.github.io/youtube-dl/) media downloader written in tkinter. [Supported sites](https://rg3.github.io/youtube-dl/supportedsites.html)

- [REQIREMENTS](#Requirements)
- [DOWNLOADS](Downloads)
- [INSTALLATION](#Installation)
- [DESCRIPTION](#Description)
- [OPTIONS](#Options)
- [SCREENSHOTS](#Screenshots)
- [SUPPORT](#Support)

## Requirements
* [Python 3.+](https://www.python.org/downloads)
* [FFmpeg](https://ffmpeg.org/download.html) (optional, to post process video files)

## Downloads
* [Source (.zip)](https://github.com/bawaviki/savetube-py/archive/1.0.zip)
* [Source (.tar.gz)](https://github.com/bawaviki/savetube-py/archive/1.0.tar.gz)
* [PyPi](https://pypi.python.org/pypi/youtube-dlg/0.4)
* [Windows Installer](https://github.com/MrS0m30n3/youtube-dl-gui/releases/download/0.4/youtube-dl-gui-0.4-win-setup.zip)
* [Windows Portable](https://github.com/bawaviki/savetube-py/releases/download/0.4/youtube-dl-gui-0.4-win-portable.zip)


# Installation

* ### Install From Source
1. Download & extract the source
2. Change directory into *Savetube-1.0*
3. Run `python setup.py install`

* ### Install PyPi
1. Run `pip install savetube`

* ### Install Windows Installer
1. Download & extract the Windows installer
2. Run the `setup.exe` file

# DESCRIPTION
 > **savetube** is a command-line as well as GUI program to download videos from YouTube.com and a few more sites. It requires [youtube-dl](https://rg3.github.io/youtube-dl/) and the Python interpreter, version 3.2+, also it is not platform specific. It should work on your Unix box, on Windows or on macOS.

            savetube [OPTIONS]  URL 

# OPTIONS
* ## For CLI
```python
        -h,     --help                       Print this help text and exit.
        -v,     --version                    Print program version and exit.
        -U,     --url                        Provide the url to progam to work.
```    
* ## For GUI

    *__Just type savetube and hit enter. A small window will apear, paste url and see the magic.__*
```
        $ savetube
```

# Screenshots
* ## GUI
![youtube-dl-gui main window](https://github.com/bawaviki/static-files/raw/master/savetube_py_gui.gif)

* ## CLI
![youtube-dl-gui main window](https://github.com/bawaviki/static-files/raw/master/savetube_py_cli.gif)

# Support
If you like my work and **want to support** me use **sponsor button above** or click any **option bellow**. Or you also suppot me **by give star to project**. If you want to contribute **feel free to fork**.


[![BuyMeACofee](https://img.shields.io/static/v1?label=Support&message=Bring%20Me%20A%20Cofee&color=FF813F)](https://www.buymeacoffee.com/bawaviki)      [![Paytm](https://img.shields.io/static/v1?label=Support&message=Paytm&color=002E6E)](https://p-y.tm/27-ydgU) [![PayPal](https://img.shields.io/static/v1?label=Support&message=PayPal&color=00457C)](https://paypal.me/bawaviki)   [![PayPal](https://img.shields.io/static/v1?label=Support&message=Patreon&color=f96854)](https://patreon.com/bawaviki)
